package com.bonus.material.push.mapper;

import com.bonus.material.push.domain.IwsCostPushBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author : 阮世耀
 * @version : 1.0
 * @PackagePath: com.bonus.material.push.mapper
 * @CreateTime: 2025-01-23  14:40
 * @Description: i皖送费用推送mapper
 */
@Mapper
public interface IwsCostPushMapper {

    /**
     * 查询协议推送匹配列表
     */
    List<IwsCostPushBean> findAgreement(IwsCostPushBean o);

    /**
     * 更新协议信息表的push状态
     */
    int updateAgreementIsPush(IwsCostPushBean o);

    /**
     * 查询费用推送审核数据列表
     */
    List<IwsCostPushBean> getCostPushCheckList(IwsCostPushBean o);

    /**
     * 插入Calc表当前月份
     */
    int insertCalcMonthRecord(IwsCostPushBean record);

    /**
     * 插入项目月费用数据 -- 批量
     */
    int insertProjectMonthCosts(List<IwsCostPushBean> recordList);

    /**
     * 根据协议ID查询领用物资数据
     * @param record 协议信息及条件
     */
    List<IwsCostPushBean> getPaidSltBaseInfo(IwsCostPushBean record);
}
